﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.01 - January 20, 2011
// Supported Devices: DT-X7, DT-X8, DT-X11, DT-X30, IT-600, 
// IT-800, and IT-3100
//
// Remarks: You need latest versions of CASIO runtime libraries on
// your mobile device. If they are not already installed, you can 
// find them as part of the SDK.
//////////////////////////////////////////////////////////////////////

using System;
using System.Linq;
using System.Collections.Generic;
using System.Windows.Forms;

namespace BTSerial
{
    static class Program
    {
        private static BTSerialLogFile logFile = new BTSerialLogFile("GEH");

        /// <summary>
        /// Main Entry.
        /// </summary>
        [MTAThread]
        static void Main()
        {
            AppDomain.CurrentDomain.UnhandledException += 
                new UnhandledExceptionEventHandler(CurrentDomain_UnhandledException);

            Application.Run(new MainForm());
        }

        static void CurrentDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e)
        {
            Exception exc = e.ExceptionObject as Exception;

            if (exc != null)
            {
                logFile.Append(exc.ToString());

                return;
            }
        }
    }
}